<!DOCTYPE html>
<html>
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">优惠券核销</a></div>
		<div class="common_content_title">优惠券核销</div>
		<div>
			<span style="font-size:16px">优惠券码:</span>
			<input id="couponUse_instanceCode" class="form-control input160" type="text">
			<button type="button" class="btn btn-block input120" id="couponUseSearch">查询</button>
			<button type="button" class="btn btn-success input120" id="verificationCoupon" style="display:block">核销</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="couponUseTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="singleSelect:true,collapsible:true">
				<thead>
					<tr>
						<th data-options="field:'memberName',width:140,align:'center',halign:'center'">用户名</th>
						<th data-options="field:'mobile',width:150,align:'center',halign:'center'">手机号</th>
						<th data-options="field:'couponName',width:140,align:'center',halign:'center'">优惠券名称</th>
						<th data-options="field:'couponInstanceCode',width:140,align:'center',halign:'center'">优惠券码</th>
						<th data-options="field:'getTime',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">发放时间</th>
							<th data-options="field:'expireDate',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">过期日期</th>
						<th data-options="field:'usedTime',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">核销时间</th>
						<th data-options="field:'storeName',width:150,align:'center',halign:'center'">核销门店</th>
						<th data-options="field:'statusId',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Coupon_Instance_Status.getText(value);}">状态</th>
						<th data-options="field:'getChannelId',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Coupon_Issue_Channel.getText(value);}">发放渠道</th>
					</tr>
				</thead>
			</table>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/coupon/couponUse'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>